DescribeCustomMetric
Note
The AWS IoT Device Defender detect feature will no longer be available to new customers starting August 31, 2026. If you would like to use the detect feature, sign up prior to August 31, 2026. To learn about alternatives to AWS IoT Device Defender detect, see AWS IoT Device Defender detect feature availability change. There is no change to AWS IoT Device Defender audit availability.
Gets information about a Device Defender detect custom metric.
Requires permission to access the DescribeCustomMetric action.
Request Syntax
GET /custom-metric/metricName HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- metricName
-
The name of the custom metric.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9:_-]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"creationDate": number,
"displayName": "string",
"lastModifiedDate": number,
"metricArn": "string",
"metricName": "string",
"metricType": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- creationDate
-
The creation date of the custom metric in milliseconds since epoch.
Type: Timestamp
- displayName
-
Field represents a friendly name in the console for the custom metric; doesn't have to be unique. Don't use this name as the metric identifier in the device metric report. Can be updated.
Type: String
Length Constraints: Maximum length of 128.
Pattern:
[\p{Graph}\x20]* - lastModifiedDate
-
The time the custom metric was last modified in milliseconds since epoch.
Type: Timestamp
- metricArn
-
The Amazon Resource Number (ARN) of the custom metric.
Type: String
- metricName
-
The name of the custom metric.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9:_-]+ - metricType
-
The type of the custom metric.
Important
The type
numberonly takes a single metric value as an input, but while submitting the metrics value in the DeviceMetrics report, it must be passed as an array with a single value.Type: String
Valid Values:
string-list | ip-address-list | number-list | number
Errors
- InternalFailureException
-
An unexpected error has occurred.
- message
-
The message for the exception.
HTTP Status Code: 500
- InvalidRequestException
-
The request is not valid.
- message
-
The message for the exception.
HTTP Status Code: 400
- ResourceNotFoundException
-
The specified resource does not exist.
- message
-
The message for the exception.
HTTP Status Code: 404
- ThrottlingException
-
The rate exceeds the limit.
- message
-
The message for the exception.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: